DECLARE @productBundleId uniqueidentifier,
@productiId uniqueidentifier,
@counter numeric;

SET @productBundleId = (select p.FTOS_BP_BankingProductid from ebs.FTOS_BP_BankingProduct p
join EbsMetadata.BWStatus s on p.BusinessStatusId = s.BWstatusid
where s.Name = 'VWApproved'
and p.BankingProductCode = 'BDL-SP');

SET @productiId = (select p.FTOS_BP_BankingProductid from ebs.FTOS_BP_BankingProduct p
join EbsMetadata.BWStatus s on p.BusinessStatusId = s.BWstatusid
where s.Name = 'VWApproved'
and p.BankingProductCode = 'CAR');
SET @counter = (select count(FTOS_BP_BankingProductXFTOS_BP_BankingProductid) from ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct where FTOS_BP_BankingProductid = @productiId and FTOS_BP_BankingProductid2 = @productBundleId)
if @counter = 0
insert into ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct (FTOS_BP_BankingProductXFTOS_BP_BankingProductid, FTOS_BP_BankingProductid, FTOS_BP_BankingProductid2)
values (NEWID(),@productiId,@productBundleId);
SET @productiId = (select p.FTOS_BP_BankingProductid from ebs.FTOS_BP_BankingProduct p
join EbsMetadata.BWStatus s on p.BusinessStatusId = s.BWstatusid
where s.Name = 'VWApproved'
and p.BankingProductCode = 'IB');
SET @counter = (select count(FTOS_BP_BankingProductXFTOS_BP_BankingProductid) from ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct where FTOS_BP_BankingProductid = @productiId and FTOS_BP_BankingProductid2 = @productBundleId)
if @counter = 0
insert into ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct (FTOS_BP_BankingProductXFTOS_BP_BankingProductid, FTOS_BP_BankingProductid, FTOS_BP_BankingProductid2)
values (NEWID(),@productiId,@productBundleId);
SET @productiId = (select p.FTOS_BP_BankingProductid from ebs.FTOS_BP_BankingProduct p
join EbsMetadata.BWStatus s on p.BusinessStatusId = s.BWstatusid
where s.Name = 'VWApproved'
and p.BankingProductCode = 'VDCR');
SET @counter = (select count(FTOS_BP_BankingProductXFTOS_BP_BankingProductid) from ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct where FTOS_BP_BankingProductid = @productiId and FTOS_BP_BankingProductid2 = @productBundleId)
if @counter = 0
insert into ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct (FTOS_BP_BankingProductXFTOS_BP_BankingProductid, FTOS_BP_BankingProductid, FTOS_BP_BankingProductid2)
values (NEWID(),@productiId,@productBundleId);
SET @productiId = (select p.FTOS_BP_BankingProductid from ebs.FTOS_BP_BankingProduct p
join EbsMetadata.BWStatus s on p.BusinessStatusId = s.BWstatusid
where s.Name = 'VWApproved'
and p.BankingProductCode = 'VRDCR');
SET @counter = (select count(FTOS_BP_BankingProductXFTOS_BP_BankingProductid) from ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct where FTOS_BP_BankingProductid = @productiId and FTOS_BP_BankingProductid2 = @productBundleId)
if @counter = 0
insert into ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct (FTOS_BP_BankingProductXFTOS_BP_BankingProductid, FTOS_BP_BankingProductid, FTOS_BP_BankingProductid2)
values (NEWID(),@productiId,@productBundleId);



SET @productBundleId = (select p.FTOS_BP_BankingProductid from ebs.FTOS_BP_BankingProduct p
join EbsMetadata.BWStatus s on p.BusinessStatusId = s.BWstatusid
where s.Name = 'VWApproved'
and p.BankingProductCode = 'BDL-PP');

SET @productiId = (select p.FTOS_BP_BankingProductid from ebs.FTOS_BP_BankingProduct p
join EbsMetadata.BWStatus s on p.BusinessStatusId = s.BWstatusid
where s.Name = 'VWApproved'
and p.BankingProductCode = 'CAR');
SET @counter = (select count(FTOS_BP_BankingProductXFTOS_BP_BankingProductid) from ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct where FTOS_BP_BankingProductid = @productiId and FTOS_BP_BankingProductid2 = @productBundleId)
if @counter = 0
insert into ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct (FTOS_BP_BankingProductXFTOS_BP_BankingProductid, FTOS_BP_BankingProductid, FTOS_BP_BankingProductid2)
values (NEWID(),@productiId,@productBundleId);
SET @productiId = (select p.FTOS_BP_BankingProductid from ebs.FTOS_BP_BankingProduct p
join EbsMetadata.BWStatus s on p.BusinessStatusId = s.BWstatusid
where s.Name = 'VWApproved'
and p.BankingProductCode = 'IB');
SET @counter = (select count(FTOS_BP_BankingProductXFTOS_BP_BankingProductid) from ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct where FTOS_BP_BankingProductid = @productiId and FTOS_BP_BankingProductid2 = @productBundleId)
if @counter = 0
insert into ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct (FTOS_BP_BankingProductXFTOS_BP_BankingProductid, FTOS_BP_BankingProductid, FTOS_BP_BankingProductid2)
values (NEWID(),@productiId,@productBundleId);
SET @productiId = (select p.FTOS_BP_BankingProductid from ebs.FTOS_BP_BankingProduct p
join EbsMetadata.BWStatus s on p.BusinessStatusId = s.BWstatusid
where s.Name = 'VWApproved'
and p.BankingProductCode = 'MCDCR');
SET @counter = (select count(FTOS_BP_BankingProductXFTOS_BP_BankingProductid) from ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct where FTOS_BP_BankingProductid = @productiId and FTOS_BP_BankingProductid2 = @productBundleId)
if @counter = 0
insert into ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct (FTOS_BP_BankingProductXFTOS_BP_BankingProductid, FTOS_BP_BankingProductid, FTOS_BP_BankingProductid2)
values (NEWID(),@productiId,@productBundleId);
SET @productiId = (select p.FTOS_BP_BankingProductid from ebs.FTOS_BP_BankingProduct p
join EbsMetadata.BWStatus s on p.BusinessStatusId = s.BWstatusid
where s.Name = 'VWApproved'
and p.BankingProductCode = 'VRDCR');
SET @counter = (select count(FTOS_BP_BankingProductXFTOS_BP_BankingProductid) from ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct where FTOS_BP_BankingProductid = @productiId and FTOS_BP_BankingProductid2 = @productBundleId)
if @counter = 0
insert into ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct (FTOS_BP_BankingProductXFTOS_BP_BankingProductid, FTOS_BP_BankingProductid, FTOS_BP_BankingProductid2)
values (NEWID(),@productiId,@productBundleId);



SET @productBundleId = (select p.FTOS_BP_BankingProductid from ebs.FTOS_BP_BankingProduct p
join EbsMetadata.BWStatus s on p.BusinessStatusId = s.BWstatusid
where s.Name = 'VWApproved'
and p.BankingProductCode = 'BDL-EP');

SET @productiId = (select p.FTOS_BP_BankingProductid from ebs.FTOS_BP_BankingProduct p
join EbsMetadata.BWStatus s on p.BusinessStatusId = s.BWstatusid
where s.Name = 'VWApproved'
and p.BankingProductCode = 'CAE');
SET @counter = (select count(FTOS_BP_BankingProductXFTOS_BP_BankingProductid) from ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct where FTOS_BP_BankingProductid = @productiId and FTOS_BP_BankingProductid2 = @productBundleId)
if @counter = 0
insert into ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct (FTOS_BP_BankingProductXFTOS_BP_BankingProductid, FTOS_BP_BankingProductid, FTOS_BP_BankingProductid2)
values (NEWID(),@productiId,@productBundleId);
SET @productiId = (select p.FTOS_BP_BankingProductid from ebs.FTOS_BP_BankingProduct p
join EbsMetadata.BWStatus s on p.BusinessStatusId = s.BWstatusid
where s.Name = 'VWApproved'
and p.BankingProductCode = 'IB');
SET @counter = (select count(FTOS_BP_BankingProductXFTOS_BP_BankingProductid) from ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct where FTOS_BP_BankingProductid = @productiId and FTOS_BP_BankingProductid2 = @productBundleId)
if @counter = 0
insert into ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct (FTOS_BP_BankingProductXFTOS_BP_BankingProductid, FTOS_BP_BankingProductid, FTOS_BP_BankingProductid2)
values (NEWID(),@productiId,@productBundleId);
SET @productiId = (select p.FTOS_BP_BankingProductid from ebs.FTOS_BP_BankingProduct p
join EbsMetadata.BWStatus s on p.BusinessStatusId = s.BWstatusid
where s.Name = 'VWApproved'
and p.BankingProductCode = 'VRDCE');
SET @counter = (select count(FTOS_BP_BankingProductXFTOS_BP_BankingProductid) from ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct where FTOS_BP_BankingProductid = @productiId and FTOS_BP_BankingProductid2 = @productBundleId)
if @counter = 0
insert into ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct (FTOS_BP_BankingProductXFTOS_BP_BankingProductid, FTOS_BP_BankingProductid, FTOS_BP_BankingProductid2)
values (NEWID(),@productiId,@productBundleId);
SET @productiId = (select p.FTOS_BP_BankingProductid from ebs.FTOS_BP_BankingProduct p
join EbsMetadata.BWStatus s on p.BusinessStatusId = s.BWstatusid
where s.Name = 'VWApproved'
and p.BankingProductCode = 'VDCE');
SET @counter = (select count(FTOS_BP_BankingProductXFTOS_BP_BankingProductid) from ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct where FTOS_BP_BankingProductid = @productiId and FTOS_BP_BankingProductid2 = @productBundleId)
if @counter = 0
insert into ebs.FTOS_BP_BankingProductXFTOS_BP_BankingProduct (FTOS_BP_BankingProductXFTOS_BP_BankingProductid, FTOS_BP_BankingProductid, FTOS_BP_BankingProductid2)
values (NEWID(),@productiId,@productBundleId);
